Loading...
Searching...
No Matches
broadcast_server Class Reference

## Public Member Functions

void | on_open (connection_hdl hdl)
void | on_close (connection_hdl hdl)
void | on_message (connection_hdl hdl, server::message_ptr msg)
void | run (uint16_t port)

## Detailed Description

Definition at line 13 of file simple_broadcast_server.cpp.

## Constructor & Destructor Documentation

## broadcast_server()

broadcast_server::broadcast_server | ( |  | ) |

inline

Definition at line 15 of file simple_broadcast_server.cpp.

## Member Function Documentation

## on_close()

void broadcast_server::on_close | ( | connection_hdl | hdl | ) |

inline

Definition at line 27 of file simple_broadcast_server.cpp.

## on_message()

void broadcast_server::on_message | ( | connection_hdl | hdl,
|  | server::message_ptr | msg )

inline

Definition at line 31 of file simple_broadcast_server.cpp.

## on_open()

void broadcast_server::on_open | ( | connection_hdl | hdl | ) |

inline

Definition at line 23 of file simple_broadcast_server.cpp.

## run()

void broadcast_server::run | ( | uint16_t | port | ) |

inline

Definition at line 37 of file simple_broadcast_server.cpp.

The documentation for this class was generated from the following file:

- docs/simple_broadcast_server.cpp